import axios from "../../utils/axios";

//--------------获取ERP数据-------------------
export function getErpProduct(query) {
    return axios({
        url: "/warehouse/getErpGoods",
        method: "get",
        params: query
    });
}

export function getErpUnit(query) {
    return axios({
        url: "/warehouse/getErpUnit",
        method: "get",
        params: query
    });
}
export function getInvbasdoc(query) {
    return axios({
        url: "/warehouse/ucloud/invbasdoc",
        method: "get",
        params: query
    });
}


//-------------end---------------------------------

export function combineProduct(query) {
    return axios({
        url: "/warehouse/productInfo/combine",
        method: "post",
        data: query
    });
}

export function combineDrugProduct(query) {
    return axios({
        url: "/warehouse/productInfo/combineDrug",
        method: "post",
        data: query
    });
}

export function getUdiInfos(query) {
    return axios({
        url: "/udims/udiinfo/filterUdi",
        method: "get",
        params: query
    });
}

export function combineUdi(query) {
    return axios({
        url: "/udi/udirel/revleance",
        method: "post",
        data: query
    });
}

export function combineAllUdi(query) {
    return axios({
        url: "/udi/udirel/combineAll",
        method: "get",
        params: query
    });
}

export function filterByUuid(query) {
    return axios({
        url: "/udims/udiinfo/local/filterByUuid",
        method: "get",
        params: query
    });
}

export function updatetUdiInfos(query) {
    return axios({
        url: "/udi/udirel/update",
        method: "post",
        data: query
    });
}

export function deletetUdiInfos(query) {
    return axios({
        url: "/udi/udirel/deleteById",
        method: "post",
        data: query
    });
}

export function disableUdi(query) {
    return axios({
        url: "/udi/udirel/disable",
        method: "post",
        data: query
    });
}
